Re: [eclipse-clp-users] ECLiPSe install on OS X 10.8

From: Joachim Schimpf <jschimpf_at_...311...>
Date: Mon, 15 Oct 2012 19:36:55 +0200
On 15/10/2012 17:08, David Dreisigmeyer wrote:
> Hi everyone,
>
> I'm trying again to get ECLiPSe 6.1 installed on OS X 10.8 (Mountain Lion).  For tcl (8.5.8
> preinstalled) I simlink (into ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/) as follows:
>
>
> $ ln -s ./wish8.5 ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/bin/
> $ ln -s ./tclsh8.5 ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/bin/
> $ ln -s tk* ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/include/
> $ ln -s tcl* ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/include/
> $ ln -s ./libtk.dylib ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/lib/
> $ ln -s ./libtcl.dylib ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/lib/

It looks like you are using ls in the wrong way.  Best cd to the directory
where you want to have the links, and symlink from there, e.g.

$ cd ~/Downloads/Eclipse_6.1_125/thirdparty/tcl8.5/include
$ ln -s <whereevertheyare>/tk*


> So now I have:
>
> $ ls bin/
> tclsh8.5 wish8.5a

If you use ls -l you will see that your links are wrong.


> For gmp I do something similar and get this:
>
>
> configure: WARNING: Could not find Gmp (4.2 4.1) in
> /Users/dwdreisigmeyer/Downloads/Eclipse_6.1_125/thirdparty/
> checking for __gmpz_import in -lgmp... yes
>
>
> So is the gmp that comes with 10.8 being detected/used?

Yes.  But I don't know whether the version is ok.


-- Joachim
Received on Mon Oct 15 2012 - 17:37:17 CEST

This archive was generated by hypermail 2.2.0 : Mon Jul 09 2018 - 02:05:30 CEST